Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
"emerge -C gconf-1.0.8-r5" fails [SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
mobymac
Apprentice
Apprentice


Joined: 29 Sep 2003
Posts: 169
Location: the red corner

PostPosted: Wed Apr 13, 2005 2:24 pm    Post subject: "emerge -C gconf-1.0.8-r5" fails [SOLVED] Reply with quote

I try to update my world and system classes and bump into this all the time--

I can't seem to unmerge this old version of gconf. It's gconf-1.0.8-r5.
I also had 1.0.9 and 2.8.1-r1 emerged on my system; I was able to unmerge those two, but .8 keeps making portage hang. Here's all the output I get everytime I try:
Code:
emerge -C gconf

 gnome-base/gconf
    selected: 1.0.8-r5
   protected: none
     omitted: none

>>> 'Selected' packages are slated for removal.
>>> 'Protected' and 'omitted' packages will not be removed.

>>> Waiting 5 seconds before starting...
>>> (Control-C to abort)...
>>> Unmerging in: 5 4 3 2 1
>>> Unmerging gnome-base/gconf-1.0.8-r5...
No package files given... Grabbing a set.

QA Notice: ECLASS 'libtool' inherited illegally in gnome-base/gconf-1.0.8-r5

/usr/lib/portage/bin/ebuild.sh: /var/db/pkg/gnome-base/gconf-1.0.8-r5/gconf-1.0.8-r5.ebuild: line 27: syntax error near unexpected token `sys-devel/gettext'
/usr/lib/portage/bin/ebuild.sh: /var/db/pkg/gnome-base/gconf-1.0.8-r5/gconf-1.0.8-r5.ebuild: line 27: `        nls? ( sys-devel/gettext )"'

!!! ERROR: gnome-base/gconf-1.0.8-r5 failed.
!!! Function , Line 1702, Exitcode 1
!!! error sourcing ebuild
!!! If you need support, post the topmost build error, NOT this status message.

!!! FAILED prerm: 1


I'm at a loss. I don't think I even use gconf, as I'm in KDE all the time. Help?


Last edited by mobymac on Sat Apr 16, 2005 3:57 am; edited 1 time in total
Back to top
View user's profile Send private message
mobymac
Apprentice
Apprentice


Joined: 29 Sep 2003
Posts: 169
Location: the red corner

PostPosted: Wed Apr 13, 2005 3:17 pm    Post subject: Reply with quote

tried masking the specific gconf package (1.0.8-r5) in package.mask and got:
Code:
ender etc # emerge -puD world

These are the packages that I would merge, in order:

Calculating world dependencies -
!!! All ebuilds that could satisfy ">=gnome-base/gconf-1.2" have been masked.
!!! One of the following masked packages is required to complete your request:
- gnome-base/gconf-2.4.0.1 (masked by: package.mask)
- gnome-base/gconf-2.8.1-r1 (masked by: package.mask)
- gnome-base/gconf-2.6.2 (masked by: package.mask)
- gnome-base/gconf-2.6.1 (masked by: package.mask, ~x86 keyword)
- gnome-base/gconf-2.6.0 (masked by: package.mask)
- gnome-base/gconf-2.8.0.1 (masked by: package.mask)
- gnome-base/gconf-2.10.0 (masked by: package.mask, package.mask, ~x86 keyword)
# Joe McCann <joem@gentoo.org> (08 Mar 2005)
#Gnome-2.10 mask

- gnome-base/gconf-2.9.91 (masked by: package.mask, package.mask, ~x86 keyword)

For more information, see MASKED PACKAGES section in the emerge man page or
section 2.2 "Software Availability" in the Gentoo Handbook.
!!!    (dependency required by "gnome-base/gnome-vfs-2.8.4-r1" [ebuild])


!!! Problem with ebuild media-libs/xine-lib-1_rc8-r1
!!! Possibly a DEPEND/*DEPEND problem.

!!! Depgraph creation failed.
so that's apparently not the solution.
Back to top
View user's profile Send private message
joe.linse
n00b
n00b


Joined: 03 Sep 2003
Posts: 5

PostPosted: Fri Apr 15, 2005 6:51 am    Post subject: Reply with quote

Hi,

you have to edit /var/db/pkg/gnome-base/gconf-1.0.8-r5/gconf-1.0.8-r5.ebuild.
It's a missing " after the orbit-line. If it doesn't work, post this file here...
Back to top
View user's profile Send private message
mobymac
Apprentice
Apprentice


Joined: 29 Sep 2003
Posts: 169
Location: the red corner

PostPosted: Sat Apr 16, 2005 3:57 am    Post subject: SOLVED Reply with quote

thanks, Joe. That did work, though it was my (infinitely more talented) gentoo friend who ended up fixing it for me.

Thanks!
Back to top
View user's profile Send private message
Earthwings
Bodhisattva
Bodhisattva


Joined: 14 Apr 2003
Posts: 7753
Location: Karlsruhe, Germany

PostPosted: Sat Apr 16, 2005 6:37 am    Post subject: Reply with quote

Moved to dups. Please see can't unmerge gconf 1.0.9 and Unexpected EOF error on unmerging.
_________________
KDE
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum